3
0
forked from pool/findutils
findutils/findutils-4.4.2-updatedb.patch

102 lines
3.9 KiB
Diff

Index: doc/find.texi
===================================================================
--- doc/find.texi.orig 2012-02-13 14:27:58.223123360 +0100
+++ doc/find.texi 2012-02-13 14:27:58.231123165 +0100
@@ -3486,7 +3486,7 @@ Default is none.
@item --prunepaths='@var{path}@dots{}'
Directories to omit from the database, which would otherwise be
included. The environment variable @code{PRUNEPATHS} also sets this
-value. Default is @file{/tmp /usr/tmp /var/tmp /afs}. The paths are
+value. Default is @file{/tmp /usr/tmp /var/tmp /afs /var/spool}. The paths are
used as regular expressions (with @code{find ... -regex}, so you need
to specify these paths in the same way that @code{find} will encounter
them. This means for example that the paths must not include trailing
Index: locate/updatedb.1
===================================================================
--- locate/updatedb.1.orig 2011-04-04 00:53:12.000000000 +0200
+++ locate/updatedb.1 2012-02-13 14:27:58.232123141 +0100
@@ -75,8 +75,7 @@ Default is \fInfs NFS proc\fP.
.TP
.B \-\-output=\fIdbfile\fP
The database file to build.
-Default is system-dependent. In Debian GNU/Linux, the default
-is /var/cache/locate/locatedb.
+Default is /var/lib/locatedb.
.TP
.B \-\-localuser=\fIuser\fP
The user to search non-network directories as, using \fBsu\fP(1).
@@ -85,7 +84,7 @@ You can also use the environment variabl
.TP
.B \-\-netuser=\fIuser\fP
The user to search network directories as, using \fBsu\fP(1).
-Default is \fBdaemon\fP.
+Default is \fBnobody\fP.
You can also use the environment variable \fBNETUSER\fP to set this user.
.TP
.B \-\-old\-format
Index: locate/updatedb.sh
===================================================================
--- locate/updatedb.sh.orig 2011-04-04 00:53:12.000000000 +0200
+++ locate/updatedb.sh 2012-02-13 14:28:48.445898801 +0100
@@ -158,7 +158,7 @@ select_shell() {
: ${NETPATHS=}
# Directories to not put in the database, which would otherwise be.
-: ${PRUNEPATHS="/tmp /usr/tmp /var/tmp /afs /amd /sfs /proc"}
+: ${PRUNEPATHS="/tmp /usr/tmp /var/tmp /afs /amd /sfs /proc /var/spool"}
# Trailing slashes result in regex items that are never matched, which
# is not what the user will expect. Therefore we now reject such
@@ -188,7 +188,7 @@ fi
export TMPDIR
# The user to search network directories as.
-: ${NETUSER=daemon}
+: ${NETUSER=nobody}
# The directory containing the subprograms.
if test -n "$LIBEXECDIR" ; then
@@ -228,7 +228,7 @@ done
PATH=/bin:/usr/bin:${BINDIR}; export PATH
-: ${PRUNEFS="nfs NFS proc afs smbfs autofs iso9660 ncpfs coda devpts ftpfs devfs mfs sysfs shfs"}
+: ${PRUNEFS="nfs NFS proc afs smbfs autofs iso9660 ncpfs coda devpts ftpfs devfs mfs sysfs shfs cifs 9P"}
if test -n "$PRUNEFS"; then
prunefs_exp=`echo $PRUNEFS |sed -e 's/\([^ ][^ ]*\)/-o -fstype \1/g' \
@@ -252,13 +252,12 @@ if test -n "$SEARCHPATHS"; then
# : A1
su $LOCALUSER `select_shell $LOCALUSER` -c \
"$find $SEARCHPATHS $FINDOPTIONS \
- \\( $prunefs_exp \
- -type d -regex '$PRUNEREGEX' \\) -prune -o $print_option"
+ -type d \\( $prunefs_exp -regex '$PRUNEREGEX' \\) -prune \
+ -o $print_option"
else
# : A2
$find $SEARCHPATHS $FINDOPTIONS \
- \( $prunefs_exp \
- -type d -regex "$PRUNEREGEX" \) -prune -o $print_option
+ -type d \( $prunefs_exp -regex "$PRUNEREGEX" \) -prune -o $print_option
fi
fi
@@ -322,12 +321,14 @@ if test -n "$SEARCHPATHS"; then
su $LOCALUSER `select_shell $LOCALUSER` -c \
"$find $SEARCHPATHS $FINDOPTIONS \
\( $prunefs_exp \
- -type d -regex '$PRUNEREGEX' \) -prune -o $print_option" || exit $?
+ -type d \( $prunefs_exp -regex '$PRUNEREGEX' \) -prune \
+ -o $print_option" || exit $?
else
# : A6
$find $SEARCHPATHS $FINDOPTIONS \
\( $prunefs_exp \
- -type d -regex "$PRUNEREGEX" \) -prune -o $print_option || exit $?
+ -type d \( $prunefs_exp -regex "$PRUNEREGEX" \) -prune \
+ -o $print_option || exit $?
fi
fi